Update VM Option Profile

[POST]/api/2.0/fo/subscription/option_profile/vm/?action=update

Update a VM option profile in the user's account.

Permissions - A Manager will be able to update option profiles in the subscription. A Unit Manager will be able to update option profiles owned by users in their business unit.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

action=update

Required

String 

Specify action to update the VM option profile.

echo_request={0|1}

Optional

Integer 

Specify 1 to view (echo) input parameters in the XML output. By default these are not included.

id={value}

Required

Integer 

The ID of the option profile.

 

Click here to view list of optional parameters

Sample - Update VM Option ProfileSample - Update VM Option Profile

API Request

curl -u "USERNAME:PASSWORD" -H "X-Requested-With:curl" -X POST"action=update&title=33jj&id=25121""http://<<qualys_base_url>>/api/2.0/fo/subscription/option_profile/vm/"

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM "http://<<qualys_base_url>>/api/2.0/simple_return.dtd">
<SIMPLE_RETURN>
  <RESPONSE>
    <DATETIME>2018-04-26T06:40:03Z</DATETIME>
    <TEXT>Option profile successfully updated.</TEXT>
    <ITEM_LIST>
      <ITEM>
        <KEY>ID</KEY>
        <VALUE>25121</VALUE>
      </ITEM>
    </ITEM_LIST>
  </RESPONSE>
</SIMPLE_RETURN>

Sample - Update VM Option Profile With SSL/TLS Auditing DisabledSample - Update VM Option Profile With SSL/TLS Auditing Disabled

API Request

ccurl --location --request POST '<qualys_base_url>/api/2.0/fo/subscription/option_profile/vm/?enable_partial_ssl_tls_auditing=0&%20action=update&id=2437618&scan_tcp_ports=standard&scan_udp_ports=standard&vulnerability_detection=runtime' \--header 'Content-Type: application/x-www-form-urlencoded' \--header 'X-Requested-With: curl demo2' \--header 'Accept: */*' \--header 'Content-Length: 0' \--header 'Authorization: Basic encoded username:password string'

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM
"<<qualys_base_url>>/api/2.0/simple_return.dtd">
<SIMPLE_RETURN>
 <RESPONSE>
 <DATETIME>2023-08-31T10:04:24Z</DATETIME>
 <TEXT>Option profile successfully updated.</TEXT>
 <ITEM_LIST>
 <ITEM>
 <KEY>ID</KEY>
 <VALUE>2437618</VALUE>
 </ITEM>
 </ITEM_LIST>
 </RESPONSE>
</SIMPLE_RETURN>

DTD

<platform API server>/api/2.0/simple_return.dtd